View Issue Details

IDProjectCategoryView StatusLast Update
0003607Ham Radio DeluxeMaintenancepublic2020-02-04 23:48
ReporterPD9FERAssigned To 
PriorityurgentSeveritymajorReproducibilityrandom
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.262 
Summary0003607: Lookups take longer then normal
DescriptionV6.7.0.254
Lookups take over 5 seconds whilst previously it was almost direct.
I had some with over 45 seconds lookup, that was fixed by a reinstall.

Those with the 5 second delay will not be fixed as it seems.
Steps To ReproduceIn the Enabled methods put only QRZ and country list
On Test do a lookup.
Also do an ALE lookup.


Additional InformationTicket #109669
Log file attached.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Activities

PD9FER

2019-11-28 08:24

viewer  

HRD Logbook Logfile 2019-11-28 091310.txt (1,163 bytes)
09:12:53  Thread            Callsign Lookup: Creating thread
09:12:53  Thread            Callsign Lookup: Created thread, handle = 000012AC, errno = 0
09:12:57  CDXCObject        lookup of 3B8M took 16 milliseconds, refresh took 15 milliseconds
09:12:59  Lookup Component  Performing Lookup for "PD9FER" ("") at 2019-11-28 14:12:55

09:12:59  Lookup Component  Lookup: Public Unique Call: PD9FER

09:12:59  Lookup Component  Received lookup from Public UCSDB for PD9FER completed in 0.000 seconds

09:12:59  Lookup Component  Lookup: Private Unique Call: "PD9FER"

09:12:59  Lookup Component  Lookup: Private Unique Call "PD9FER" not found

09:12:59  Lookup Component  Received lookup from Private UCSDB for PD9FER completed in 0.000 seconds

09:12:59  Lookup Component  Received lookup from Country List for PD9FER completed in 0.000 seconds

09:12:59  CDXCObject        lookup of F6EQZ took 16 milliseconds, refresh took 16 milliseconds
09:13:03  CDXCObject        lookup of I8IGS took 0 milliseconds, refresh took 16 milliseconds
09:13:06  Lookup Component  Received lookup from QRZ.com Subscription for PD9FER completed in 6.828 seconds

KB3NPH

2019-12-13 10:55

administrator   ~0009505

Ticket #244194 - Customer reporting extremely slow lookups. He's using the default lookup options with "QRZ.com Subscription" just above the Country list option. We tried with his database of around 17k of QSOs and it took on the average of 20 to 25 seconds to do a lookup by entering the call in the ALE and pressing the [Lookup] button. I tried every thing that has worked in the past to resolve this issue. The last thing I tried was to export the Logbook as an ADI+HRD file. I then deleted the database from HRD and from the ODBC Admin. Rebooted the computer and allowed it to recreate the EMPTY database. Reconfigured the Callsign Lookups to contain Public UCSDB, Private UCSDB, QRZ.com Subscription and Country List... in that order. Opened the ALE in the empty logbook and entered my own callsign (KB3NPH) and clicked the [Lookup] button. It took almost 35+ seconds to do the lookup and populate the ALE.

Hope this helps someone locate the problem and get it resolved in a reasonable amount of time.

PD9FER

2019-12-26 05:23

viewer   ~0009514

Ticket #646108
Did a Remote, Lookup took longer then 22 seconds.
Tried everything we normally use in troubleshooting / Fixing without success.

Log file is attached.

HRD Logbook Logfile 2019-12-26 061117.txt (50,008 bytes)
06:10:30  HRD Interface                       Message >> [242] get frequencies
06:10:30  HRD Interface                       Message << 7074000-14077500
06:10:30  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:30  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:31  HRD Interface                       Message >> [242] get frequencies
06:10:31  HRD Interface                       Message << 7074000-14077500
06:10:31  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:31  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:31  HRD Interface                       Message >> [242] get frequencies
06:10:31  HRD Interface                       Message << 7074000-14077500
06:10:31  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:31  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:32  HRD Interface                       Message >> [242] get frequencies
06:10:32  HRD Interface                       Message << 7074000-14077500
06:10:32  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:32  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:32  HRD Interface                       Message >> [242] get frequencies
06:10:32  HRD Interface                       Message << 7074000-14077500
06:10:32  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:32  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:33  HRD Interface                       Message >> [242] get frequencies
06:10:33  HRD Interface                       Message << 7074000-14077500
06:10:33  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:33  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:33  HRD Interface                       Message >> [242] get frequencies
06:10:33  HRD Interface                       Message << 7074000-14077500
06:10:33  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:33  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:34  HRD Interface                       Message >> [242] get frequencies
06:10:34  HRD Interface                       Message << 7074000-14077500
06:10:34  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:34  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:34  HRD Interface                       Message >> [242] get frequencies
06:10:34  HRD Interface                       Message << 7074000-14077500
06:10:34  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:34  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:35  HRD Interface                       Message >> [242] get frequencies
06:10:35  HRD Interface                       Message << 7074000-14077500
06:10:35  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:35  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:35  HRD Interface                       Message >> [242] get frequencies
06:10:35  HRD Interface                       Message << 7074000-14077500
06:10:35  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:35  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:36  HRD Interface                       Message >> [242] get frequencies
06:10:36  HRD Interface                       Message << 7074000-14077500
06:10:36  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:36  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:36  HRD Interface                       Message >> [242] get frequencies
06:10:36  HRD Interface                       Message << 7074000-14077500
06:10:36  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:36  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:37  HRD Interface                       Message >> [242] get frequencies
06:10:37  HRD Interface                       Message << 7074000-14077500
06:10:37  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:37  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:37  HRD Interface                       Message >> [242] get frequencies
06:10:37  HRD Interface                       Message << 7074000-14077500
06:10:37  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:37  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:38  HRD Interface                       Message >> [242] get frequencies
06:10:38  HRD Interface                       Message << 7074000-14077500
06:10:38  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:38  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:38  Thread                              Callsign Lookup: Creating thread
06:10:38  Thread                              Callsign Lookup: Created thread, handle = 00001074, errno = 0
06:10:41  HRD Interface                       Message >> [242] get frequencies
06:10:41  HRD Interface                       Message << 7074000-14077500
06:10:41  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:41  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:42  HRD Interface                       Message >> [242] get frequencies
06:10:42  HRD Interface                       Message << 7074000-14077500
06:10:42  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:42  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:42  HRD Interface                       Message >> [242] get frequencies
06:10:42  HRD Interface                       Message << 7074000-14077500
06:10:42  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:42  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:43  HRD Interface                       Message >> [242] get frequencies
06:10:43  HRD Interface                       Message << 7074000-14077500
06:10:43  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:43  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:43  HRD Interface                       Message >> [242] get frequencies
06:10:43  HRD Interface                       Message << 7074000-14077500
06:10:43  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:43  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:44  HRD Interface                       Message >> [242] get frequencies
06:10:44  HRD Interface                       Message << 7074000-14077500
06:10:44  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:44  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:44  Lookup Component                    Performing Lookup for "PD9FER" ("") at 2019-12-26 11:10:41

06:10:44  Lookup Component                    Lookup: Public Unique Call: PD9FER

06:10:44  Lookup Component                    Received lookup from Public UCSDB for PD9FER completed in 0.000 seconds

06:10:44  Lookup Component                    Lookup: Private Unique Call: "PD9FER"

06:10:44  Lookup Component                    Lookup: Private Unique Call "PD9FER" not found

06:10:44  Lookup Component                    Received lookup from Private UCSDB for PD9FER completed in 0.000 seconds

06:10:44  Lookup Component                    Starting lookup from QRZ.com Subscription: PD9FER
06:10:44  Lookup Component                    Lookup from Logbook: PD9FER
06:10:44  CerateSearchXMLFile                 lpszADIF = "CALL" lpszValue = "PD9FER"
06:10:44  LogbookSearch                       Field = CALL, Value = PD9FER, Exact = 1, Count = 1
06:10:44  LogbookSearch                       DSN=MS Access Database;DBQ=C:\Users\Lloyd\AppData\Roaming\HRDLLC\HRD Logbook\My Logbook.mdb;DriverId=25;FIL=MS Access Open status 1
06:10:44  LogbookSearch                       SQL: SELECT TOP 1 COL_PRIMARY_KEY,COL_ADDRESS,COL_AGE,COL_A_INDEX,COL_ANT_AZ,COL_ANT_EL,COL_ANT_PATH,COL_ARRL_SECT,COL_BAND,COL_BAND_RX,COL_BIOGRAPHY,COL_CALL,COL_CHECK,COL_CLASS,COL_CNTY,COL_COMMENT,COL_CONT,COL_CONTACTED_OP,COL_CONTEST_ID,COL_COUNTRY,COL_CQZ,COL_DISTANCE,COL_DXCC,COL_EMAIL,COL_EQ_CALL,COL_EQSL_QSLRDATE,COL_EQSL_QSLSDATE,COL_EQSL_QSL_RCVD,COL_EQSL_QSL_SENT,COL_EQSL_STATUS,COL_FORCE_INIT,COL_FREQ,COL_FREQ_RX,COL_GRIDSQUARE,COL_HEADING,COL_IOTA,COL_ITUZ,COL_K_INDEX,COL_LAT,COL_LON,COL_LOTW_QSLRDATE,COL_LOTW_QSLSDATE,COL_LOTW_QSL_RCVD,COL_LOTW_QSL_SENT,COL_LOTW_STATUS,COL_MAX_BURSTS,COL_MODE,COL_MS_SHOWER,COL_MY_CITY,COL_MY_CNTY,COL_MY_COUNTRY,COL_MY_CQ_ZONE,COL_MY_GRIDSQUARE,COL_MY_IOTA,COL_MY_ITU_ZONE,COL_MY_LAT,COL_MY_LON,COL_MY_NAME,COL_MY_POSTAL_CODE,COL_MY_RIG,COL_MY_SIG,COL_MY_SIG_INFO,COL_MY_STATE,COL_MY_STREET,COL_NAME,COL_NOTES,COL_NR_BURSTS,COL_NR_PINGS,COL_OPERATOR,COL_OWNER_CALLSIGN,COL_PFX,COL_PRECEDENCE,COL_PROP_MODE,COL_PUBLIC_KEY,COL_QSLMSG,COL_QSLRDATE,COL_QSLSDATE,COL_QSL_RCVD,COL_QSL_RCVD_VIA,COL_QSL_SENT,COL_QSL_SENT_VIA,COL_QSL_VIA,COL_QSO_COMPLETE,COL_QSO_RANDOM,COL_QTH,COL_RIG,COL_RST_RCVD,COL_RST_SENT,COL_RX_PWR,COL_SAT_MODE,COL_SAT_NAME,COL_SFI,COL_SIG,COL_SIG_INFO,COL_SRX,COL_SRX_STRING,COL_STATE,COL_STATION_CALLSIGN,COL_STX,COL_STX_STRING,COL_SWL,COL_TEN_TEN,COL_TIME_OFF,COL_TIME_ON,COL_TX_PWR,COL_WEB,COL_USER_DEFINED_0,COL_USER_DEFINED_1,COL_USER_DEFINED_2,COL_USER_DEFINED_3,COL_USER_DEFINED_4,COL_USER_DEFINED_5,COL_USER_DEFINED_6,COL_USER_DEFINED_7,COL_USER_DEFINED_8,COL_USER_DEFINED_9,COL_CREDIT_GRANTED,COL_CREDIT_SUBMITTED,COL_ISMULTIPLIER,COL_ROVERLOCATION,COL_HRDCOUNTRYNO FROM [TABLE_HRD_CONTACTS_V01] WHERE (COL_CALL = 'PD9FER') ORDER BY COL_TIME_ON DESC, COL_CALL DESC
06:10:44  LogbookSearch                       SQL: WHERE (COL_CALL = 'PD9FER')
06:10:44  LogbookSearch                       Returned 0 records
06:10:44  Lookup Component                    Received lookup from Logbook for PD9FER completed in 0.078 seconds

06:10:44  Lookup Component                    Lookup from Country List: PD9FER
06:10:44  Lookup Component                    Received lookup from Country List for PD9FER completed in 0.000 seconds

06:10:44  HRD Interface                       Message >> [242] get frequencies
06:10:44  HRD Interface                       Message << 7074000-14077500
06:10:44  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:44  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:45  ALE Worked                          Refresh: Call="PD9FER", Country=""

06:10:45  WorkedStatusEx                      Select: (COL_CALL = 'PD9FER') OR (COL_CALL LIKE '%/PD9FER/%') OR (COL_CALL LIKE '%/PD9FER') OR (COL_CALL LIKE 'PD9FER/%')
06:10:45  WorkedStatusEx                      Bands:  
06:10:45  HRD Interface                       Message >> [242] get frequencies
06:10:45  HRD Interface                       Message << 7074000-14077500
06:10:45  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:45  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:45  HRD Interface                       Message >> [242] get frequencies
06:10:45  HRD Interface                       Message << 7074000-14077500
06:10:45  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:45  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:46  HRD Interface                       Message >> [242] get frequencies
06:10:46  HRD Interface                       Message << 7074000-14077500
06:10:46  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:46  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:46  HRD Interface                       Message >> [242] get frequencies
06:10:46  HRD Interface                       Message << 7074000-14077500
06:10:46  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:46  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:47  HRD Interface                       Message >> [242] get frequencies
06:10:47  HRD Interface                       Message << 7074000-14077500
06:10:47  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:47  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:47  HRD Interface                       Message >> [242] get frequencies
06:10:47  HRD Interface                       Message << 7074000-14077500
06:10:47  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:47  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:48  HRD Interface                       Message >> [242] get frequencies
06:10:48  HRD Interface                       Message << 7074000-14077500
06:10:48  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:48  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:48  HRD Interface                       Message >> [242] get frequencies
06:10:48  HRD Interface                       Message << 7074000-14077500
06:10:48  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:48  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:49  HRD Interface                       Message >> [242] get frequencies
06:10:49  HRD Interface                       Message << 7074000-14077500
06:10:49  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:49  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:49  HRD Interface                       Message >> [242] get frequencies
06:10:49  HRD Interface                       Message << 7074000-14077500
06:10:49  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:49  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:50  HRD Interface                       Message >> [242] get frequencies
06:10:50  HRD Interface                       Message << 7074000-14077500
06:10:50  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:50  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:50  HRD Interface                       Message >> [242] get frequencies
06:10:50  HRD Interface                       Message << 7074000-14077500
06:10:50  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:50  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:51  HRD Interface                       Message >> [242] get frequencies
06:10:51  HRD Interface                       Message << 7074000-14077500
06:10:51  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:51  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:51  HRD Interface                       Message >> [242] get frequencies
06:10:51  HRD Interface                       Message << 7074000-14077500
06:10:51  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:51  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:52  HRD Interface                       Message >> [242] get frequencies
06:10:52  HRD Interface                       Message << 7074000-14077500
06:10:52  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:52  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:52  HRD Interface                       Message >> [242] get frequencies
06:10:52  HRD Interface                       Message << 7074000-14077500
06:10:52  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:52  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:53  HRD Interface                       Message >> [242] get frequencies
06:10:53  HRD Interface                       Message << 7074000-14077500
06:10:53  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:53  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:53  HRD Interface                       Message >> [242] get frequencies
06:10:53  HRD Interface                       Message << 7074000-14077500
06:10:53  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:53  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:54  HRD Interface                       Message >> [242] get frequencies
06:10:54  HRD Interface                       Message << 7074000-14077500
06:10:54  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:54  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:54  CLogbookWndLogbook::SearchCallsign  Callsign PD9FER Force 1 All 0
06:10:54  CLogbookWndLogbook::SearchCallsign  Calling
06:10:54  CLogbookWndLogbook::SendRequest     lpszADIF = "CALL" lpszValue = "PD9FER"
06:10:54  CerateSearchXMLFile                 lpszADIF = "CALL" lpszValue = "PD9FER"
06:10:54  LogbookSearch                       Field = CALL, Value = PD9FER, Exact = 1, Count = 100
06:10:54  LogbookSearch                       DSN=MS Access Database;DBQ=C:\Users\Lloyd\AppData\Roaming\HRDLLC\HRD Logbook\My Logbook.mdb;DriverId=25;FIL=MS Access Open status 1
06:10:54  LogbookSearch                       SQL: SELECT TOP 100 COL_PRIMARY_KEY,COL_ADDRESS,COL_AGE,COL_A_INDEX,COL_ANT_AZ,COL_ANT_EL,COL_ANT_PATH,COL_ARRL_SECT,COL_BAND,COL_BAND_RX,COL_BIOGRAPHY,COL_CALL,COL_CHECK,COL_CLASS,COL_CNTY,COL_COMMENT,COL_CONT,COL_CONTACTED_OP,COL_CONTEST_ID,COL_COUNTRY,COL_CQZ,COL_DISTANCE,COL_DXCC,COL_EMAIL,COL_EQ_CALL,COL_EQSL_QSLRDATE,COL_EQSL_QSLSDATE,COL_EQSL_QSL_RCVD,COL_EQSL_QSL_SENT,COL_EQSL_STATUS,COL_FORCE_INIT,COL_FREQ,COL_FREQ_RX,COL_GRIDSQUARE,COL_HEADING,COL_IOTA,COL_ITUZ,COL_K_INDEX,COL_LAT,COL_LON,COL_LOTW_QSLRDATE,COL_LOTW_QSLSDATE,COL_LOTW_QSL_RCVD,COL_LOTW_QSL_SENT,COL_LOTW_STATUS,COL_MAX_BURSTS,COL_MODE,COL_MS_SHOWER,COL_MY_CITY,COL_MY_CNTY,COL_MY_COUNTRY,COL_MY_CQ_ZONE,COL_MY_GRIDSQUARE,COL_MY_IOTA,COL_MY_ITU_ZONE,COL_MY_LAT,COL_MY_LON,COL_MY_NAME,COL_MY_POSTAL_CODE,COL_MY_RIG,COL_MY_SIG,COL_MY_SIG_INFO,COL_MY_STATE,COL_MY_STREET,COL_NAME,COL_NOTES,COL_NR_BURSTS,COL_NR_PINGS,COL_OPERATOR,COL_OWNER_CALLSIGN,COL_PFX,COL_PRECEDENCE,COL_PROP_MODE,COL_PUBLIC_KEY,COL_QSLMSG,COL_QSLRDATE,COL_QSLSDATE,COL_QSL_RCVD,COL_QSL_RCVD_VIA,COL_QSL_SENT,COL_QSL_SENT_VIA,COL_QSL_VIA,COL_QSO_COMPLETE,COL_QSO_RANDOM,COL_QTH,COL_RIG,COL_RST_RCVD,COL_RST_SENT,COL_RX_PWR,COL_SAT_MODE,COL_SAT_NAME,COL_SFI,COL_SIG,COL_SIG_INFO,COL_SRX,COL_SRX_STRING,COL_STATE,COL_STATION_CALLSIGN,COL_STX,COL_STX_STRING,COL_SWL,COL_TEN_TEN,COL_TIME_OFF,COL_TIME_ON,COL_TX_PWR,COL_WEB,COL_USER_DEFINED_0,COL_USER_DEFINED_1,COL_USER_DEFINED_2,COL_USER_DEFINED_3,COL_USER_DEFINED_4,COL_USER_DEFINED_5,COL_USER_DEFINED_6,COL_USER_DEFINED_7,COL_USER_DEFINED_8,COL_USER_DEFINED_9,COL_CREDIT_GRANTED,COL_CREDIT_SUBMITTED,COL_ISMULTIPLIER,COL_ROVERLOCATION,COL_HRDCOUNTRYNO FROM [TABLE_HRD_CONTACTS_V01] WHERE (COL_CALL = 'PD9FER') ORDER BY COL_TIME_ON DESC, COL_CALL DESC
06:10:54  LogbookSearch                       SQL: WHERE (COL_CALL = 'PD9FER')
06:10:54  LogbookSearch                       Returned 0 records
06:10:55  HRD Interface                       Message >> [242] get frequencies
06:10:55  HRD Interface                       Message << 7074000-14077500
06:10:55  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:55  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:55  HRD Interface                       Message >> [242] get frequencies
06:10:55  HRD Interface                       Message << 7074000-14077500
06:10:55  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:55  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:56  HRD Interface                       Message >> [242] get frequencies
06:10:56  HRD Interface                       Message << 7074000-14077500
06:10:56  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:56  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:56  HRD Interface                       Message >> [242] get frequencies
06:10:56  HRD Interface                       Message << 7074000-14077500
06:10:56  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:56  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:57  HRD Interface                       Message >> [242] get frequencies
06:10:57  HRD Interface                       Message << 7074000-14077500
06:10:57  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:57  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:57  HRD Interface                       Message >> [242] get frequencies
06:10:57  HRD Interface                       Message << 7074000-14077500
06:10:57  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:57  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:58  HRD Interface                       Message >> [242] get frequencies
06:10:58  HRD Interface                       Message << 7074000-14077500
06:10:58  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:58  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:58  HRD Interface                       Message >> [242] get frequencies
06:10:58  HRD Interface                       Message << 7074000-14077500
06:10:58  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:58  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:59  HRD Interface                       Message >> [242] get frequencies
06:10:59  HRD Interface                       Message << 7074000-14077500
06:10:59  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:59  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:10:59  HRD Interface                       Message >> [242] get frequencies
06:10:59  HRD Interface                       Message << 7074000-14077500
06:10:59  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:10:59  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:00  HRD Interface                       Message >> [242] get frequencies
06:11:00  HRD Interface                       Message << 7074000-14077500
06:11:00  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:00  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:00  HRD Interface                       Message >> [242] get frequencies
06:11:00  HRD Interface                       Message << 7074000-14077500
06:11:00  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:00  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:01  HRD Interface                       Message >> [242] get frequencies
06:11:01  HRD Interface                       Message << 7074000-14077500
06:11:01  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:01  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:01  HRD Interface                       Message >> [242] get frequencies
06:11:01  HRD Interface                       Message << 7074000-14077500
06:11:01  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:01  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:02  HRD Interface                       Message >> [242] get frequencies
06:11:02  HRD Interface                       Message << 7074000-14077500
06:11:02  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:02  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:02  HRD Interface                       Message >> [242] get frequencies
06:11:02  HRD Interface                       Message << 7074000-14077500
06:11:02  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:02  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:03  HRD Interface                       Message >> [242] get frequencies
06:11:03  HRD Interface                       Message << 7074000-14077500
06:11:03  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:03  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:03  HRD Interface                       Message >> [242] get frequencies
06:11:03  HRD Interface                       Message << 7074000-14077500
06:11:03  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:03  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:04  HRD Interface                       Message >> [242] get frequencies
06:11:04  HRD Interface                       Message << 7074000-14077500
06:11:04  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:04  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:04  HRD Interface                       Message >> [242] get frequencies
06:11:04  HRD Interface                       Message << 7074000-14077500
06:11:04  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:04  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:05  HRD Interface                       Message >> [242] get frequencies
06:11:05  HRD Interface                       Message << 7074000-14077500
06:11:05  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:05  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:05  HRD Interface                       Message >> [242] get frequencies
06:11:05  HRD Interface                       Message << 7074000-14077500
06:11:05  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:05  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:06  Lookup Component                    Received lookup from QRZ.com Subscription for PD9FER completed in 21.265 seconds

06:11:06  Lookup Results                      "Public UCSDB" failed with "Not found"
06:11:06  Lookup Results                      "Private UCSDB" failed with "Not found"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "Netherlands" for field "COL_COUNTRY"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "14" for field "COL_CQZ"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "Ferry Holsderver, PD9FER
Schouwwagen 1
Grootebroek,  1613CE
Netherlands
" for field "COL_ADDRESS"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "EU" for field "COL_CONT"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "Ferry Holsderver" for field "COL_NAME"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "263" for field "COL_HRDCOUNTRYNO"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "51" for field "COL_AGE"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "Grootebroek" for field "COL_QTH"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "263" for field "COL_DXCC"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "JO22oq" for field "COL_GRIDSQUARE"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "27" for field "COL_ITUZ"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "52.687313" for field "COL_LAT"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "5.226890" for field "COL_LON"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "LOTW, EQSL.CC OR DIRECT" for field "COL_QSL_VIA"
06:11:06  Lookup Results                      "QRZ.com Subscription" provided value "PD9FER" for field "COL_CALL"
06:11:06  Lookup Results                      "Logbook" failed with "Not found"
06:11:06  Lookup Results                      "Country List" provided value "Netherlands" for field "COL_COUNTRY", keeping "Netherlands" from "QRZ.com Subscription"
06:11:06  Lookup Results                      "Country List" provided value "263" for field "COL_DXCC", keeping "263" from "QRZ.com Subscription"
06:11:06  Lookup Results                      "Country List" provided value "263" for field "COL_HRDCOUNTRYNO", keeping "263" from "QRZ.com Subscription"
06:11:06  Lookup Results                      "Country List" provided value "EU" for field "COL_CONT", keeping "EU" from "QRZ.com Subscription"
06:11:06  HRD Interface                       Message >> [242] get frequencies
06:11:06  HRD Interface                       Message << 7074000-14077500
06:11:06  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:06  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:06  HRD Interface                       Message >> [242] get frequencies
06:11:06  HRD Interface                       Message << 7074000-14077500
06:11:06  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:06  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:07  HRD Interface                       Message >> [242] get frequencies
06:11:07  HRD Interface                       Message << 7074000-14077500
06:11:07  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:07  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:07  HRD Interface                       Message >> [242] get frequencies
06:11:07  HRD Interface                       Message << 7074000-14077500
06:11:07  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:07  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:08  HRD Interface                       Message >> [242] get frequencies
06:11:08  HRD Interface                       Message << 7074000-14077500
06:11:08  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:08  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:08  HRD Interface                       Message >> [242] get frequencies
06:11:08  HRD Interface                       Message << 7074000-14077500
06:11:08  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:08  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:09  ALE                                 ALE: Cancelling "PD9FER".
06:11:09  HRD Interface                       Message >> [242] get frequencies
06:11:09  HRD Interface                       Message << 7074000-14077500
06:11:09  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:09  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:09  HRD Interface                       Message >> [242] get frequencies
06:11:09  HRD Interface                       Message << 7074000-14077500
06:11:09  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:09  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:10  HRD Interface                       Message >> [242] get frequencies
06:11:10  HRD Interface                       Message << 7074000-14077500
06:11:10  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:10  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:10  HRD Interface                       Message >> [242] get frequencies
06:11:10  HRD Interface                       Message << 7074000-14077500
06:11:10  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:10  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:11  HRD Interface                       Message >> [242] get frequencies
06:11:11  HRD Interface                       Message << 7074000-14077500
06:11:11  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:11  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:12  HRD Interface                       Message >> [242] get frequencies
06:11:12  HRD Interface                       Message << 7074000-14077500
06:11:12  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:12  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:12  HRD Interface                       Message >> [242] get frequencies
06:11:12  HRD Interface                       Message << 7074000-14077500
06:11:12  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:12  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:13  HRD Interface                       Message >> [242] get frequencies
06:11:13  HRD Interface                       Message << 7074000-14077500
06:11:13  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:13  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:13  HRD Interface                       Message >> [242] get frequencies
06:11:13  HRD Interface                       Message << 7074000-14077500
06:11:13  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:13  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:14  HRD Interface                       Message >> [242] get frequencies
06:11:14  HRD Interface                       Message << 7074000-14077500
06:11:14  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:14  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:14  HRD Interface                       Message >> [242] get frequencies
06:11:14  HRD Interface                       Message << 7074000-14077500
06:11:14  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:14  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  
06:11:15  HRD Interface                       Message >> [242] get frequencies
06:11:15  HRD Interface                       Message << 7074000-14077500
06:11:15  HRD Interface                       Message >> [242] get dropdown-text {Mode} [242] get dropdown-text {AGC} [242] get dropdown-text {CW~Keying} [242] get dropdown-text {CW~Pitch} [242] get dropdown-text {Roofing~Filter}
06:11:15  HRD Interface                       Message << Mode: DATA-U AGC: Auto Medium CW Keying CW Pitch:  

PD9FER

2020-01-05 02:53

viewer   ~0009533

Some info given via Ticket #533753

I had been running an earlier version that was about a year old, and was not having this problem.
I watched it with Wireshark and found that HRD sends the request to QRZ almost immediately, and QRZ returns the information almost immediately after that.
Then HRD delays in processing it close to 30 seconds, which is unacceptable.

One other thing I noticed is that if I select a callsign, and before the 30 seconds or so that it takes to return the results, I click on a different callsign,
then the results finally returned for the second callsign is actually the results for the first callsign.
Then if I click on a 3rd callsign, the results returned in the lookup window or ALE is the 2nd callsign, etc.
I have to reset the callsign window, then it returns correct results, but still after a long wait.

WA9PIE

2020-01-12 12:39

administrator   ~0009542

One customer on Forums reports the following:

Mike, VK4/WA9PIE,

You asked for someone who had the slow lookup problem to run a test to compare HamQTH and QRZ lookup. I did so. These results are only based on my systems and others may get different results.

Bottom line: HamQTH lookup was NOT affected by choice of DNS Servers. QRZ lookup time WAS greatly affected by choice of DNS Servers.

I ran a test with the DNS Servers I had used previously and QRZ lookup time was on average 20.5 seconds. HamQTH average was .6 seconds. This was based on a lookup of either QRZ OR HamQTH; not both.

When I switched to Google DNS Servers, QRZ lookup time averaged .25 seconds and HamQTH was about .45 seconds on average. This was based on a lookup of either QRZ OR HamQTH; not both.

The order of the services was important when using both QRZ and HamQTH in the lookup. When HamQTH was allowed to complete first the results were the same as above. When QRZ was executing in the way of HamQTH then HamQTH results were the same as QRZ. This is as you would expect. Results were never posted faster than the slowest lookup; ie QRZ.

I have no idea why the DNS Servers make a difference but will say that my home network is not straight forward. I have Verizon Fios and therefore a Verizon Router. Within that I have a Mesh Router... a kind of network within a network. My prior PRIMARY DNS Server was Google 8.8.8.8. My secondary DNS Server was from my mesh Network to the Verizion Network. That seemed to work fine before. I have never had a DNS problem before that I am aware of. Prior versions of HRD worked fine as did the usual suite of ham radio programs such as FLDigi, WSJT-X and the usual assortment of browsers and other apps. It would make more sense to me if this problem was limited to me and my specific network setup. But, others have reported similar results so there may be other things going on here.

In summary, the DNS settings that work for me are Google Primary 8.8.8.8 and Secondary 8.8.4.4

Ken
K1KDA

DOUG

2020-01-12 17:43

developer   ~0009544

Just put in potential fix for this one. The build should be done in 15-30 minutes.

WA9PIE

2020-01-12 20:52

administrator   ~0009545

I had one user test this and he reports that the callsign lookup delay is fixed.

(He did report a new error with DM-780; "Unspecified Error". But this item is likely fixed. Sending it to beta team.

g3ucq

2020-01-13 08:05

viewer   ~0009547

All lookups are very fast.

WA9PIE

2020-01-14 06:16

administrator   ~0009549

John, several users, our team, and I have verified that this resolved the problem.

Issue History

Date Modified Username Field Change
2019-11-28 08:24 PD9FER New Issue
2019-11-28 08:24 PD9FER File Added: HRD Logbook Logfile 2019-11-28 091310.txt
2019-12-05 14:31 KB3NPH Priority normal => urgent
2019-12-05 14:31 KB3NPH Severity minor => major
2019-12-05 14:31 KB3NPH Description Updated View Revisions
2019-12-05 14:31 KB3NPH Steps to Reproduce Updated View Revisions
2019-12-05 14:31 KB3NPH Additional Information Updated View Revisions
2019-12-13 10:55 KB3NPH Note Added: 0009505
2019-12-26 05:23 PD9FER File Added: HRD Logbook Logfile 2019-12-26 061117.txt
2019-12-26 05:23 PD9FER Note Added: 0009514
2020-01-05 02:53 PD9FER Note Added: 0009533
2020-01-12 12:39 WA9PIE Note Added: 0009542
2020-01-12 17:43 DOUG Note Added: 0009544
2020-01-12 20:50 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2020-01-12 20:52 WA9PIE Status new => resolved
2020-01-12 20:52 WA9PIE Resolution open => fixed
2020-01-12 20:52 WA9PIE Fixed in Version => 6.7.0.258
2020-01-12 20:52 WA9PIE Note Added: 0009545
2020-01-13 08:05 g3ucq Note Added: 0009547
2020-01-14 06:16 WA9PIE Status resolved => closed
2020-01-14 06:16 WA9PIE Testing Not Started => Beta Successful
2020-01-14 06:16 WA9PIE Note Added: 0009549
2020-02-04 23:41 WA9PIE Fixed in Version 6.7.0.258 => 6.7.0.262
2020-02-04 23:48 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe